@import url('https://fonts.googleapis.com/css2?family=Roboto:wght@500&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Raleway:ital,wght@0,100..900;1,100..900&display=swap');

html, body
{
    scroll-behavior: smooth;
    font-family: 'Roboto', sans-serif;
    margin: 0;
    padding: 0;
    background: rgb(251, 255, 255);
    overflow: hidden;
}

.content
{
    overflow-y: hidden;
    margin-top: 80px;
    width: 100%;
    height: calc(100vh - 80px);
    position: relative;
    margin-bottom: 0;
}

::selection {
    background: #0097d3a1;
    text-shadow: 0px 0px 1px rgb(0, 0, 0);
    color: #000000;
}


.container
{
    height: 100%;
    overflow-y: auto;
}


@media (max-width: 768px)
{
    .content
    {
        margin-top: 40px;
        height: calc(100vh - 40px);
    }
}




/*          #region Main Panel         */
.main-panel
{
    display: flex;
    flex-direction: column;
    justify-content:start;
    align-items: center;
    margin: 50px 40px 150px 135px;
    border-radius: 30px;
    padding-bottom: 75px;
    transition: margin-left 0.3s;
    position: relative;
}
.main-panel.ps
{
    background: linear-gradient(0deg, rgba(71, 70, 66, 0.212) 0%, rgba(26, 17, 7, 0.103) 100%);
}
.main-panel.hs
{
    background: linear-gradient(0deg, rgba(0, 82, 85, 0.247) 0%, rgba(0, 0, 0, 0.096) 100%);
}
.main-panel.studies
{
    background: linear-gradient(0deg, rgba(119, 0, 0, 0.26) 0%, rgba(19, 2, 2, 0.082) 100%);
}

.results
{
    margin: 80px 20px 80px 20px;
    width: 95%;
    height: 100%;
    display: flex;
    flex-direction: column;
}

@media (max-width: 768px)
{
    .main-panel
    {
        margin: 10px 10px 80px 10px;
        font-size: 0.6em;
    }
}

/* #endregion */


/*          #region exercise         */
.exercise
{
    width: 80%;
    display: flex;
    align-items: center;
    flex-direction: column;
    gap: 10px;
    margin-top: 20px;
    font-size: 1.5em;
    border-radius: 30px;
    padding: 0px 50px 15px 50px;
    overflow: hidden;
    background-color: #fcffff;
}
.exercise.ps
{
    border: 3px solid #20343f54;
}
.exercise.hs
{
    border: 3px solid #006c9e98;
}
.exercise.studies
{
    border: 3px solid #8d081e81;
}


.exercise-command
{
    width: 100%;
    margin-top: 40px;
    background-color: #0504021a;
    border-radius: 10px;
    padding: 8px 15px;
    display: block;
    overflow-x: auto;
    overflow-y: hidden;
}
.post-command,
.post-content,
.post-solution,
.post-answer
{
    width: 100%;
    font-size: 1em;
    font-weight: 400;
}
.post-command b,
.post-content b,
.post-solution b,
.post-answer b
{
    font-size: 1.02em;
    font-weight: 1000;
}

.post-solution h2
{
    width: 100%;
    font-size: 2em;
    text-align: center;
    font-weight: 1000;
}

.post-command mjx-container,
.post-content mjx-container,
.post-solution mjx-container,
.post-answer mjx-container
{
    max-width: 100%;
    width: 100%;
    overflow-x: auto;
    overflow-y: hidden;
    padding-bottom: 10px;
}

.exercise-command.WithoutCommand
{
    display: none;
}

.exercise-content
{
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 15px;
    width: 100%;
    border-bottom: 2px solid #28414e;
}
.post-content
{
    max-width: 100%;
    width: 100%;
    overflow-x: auto;
    overflow-y: hidden;
    font-size: 1em;
    font-weight: 400;
}

.solution-button
{
    margin-top: 20px;
    cursor: pointer;
}
.solution-button:hover label
{
    color: #3e6277;
}

.solution-button label
{
    pointer-events: none;
    transition: 0.3s;
}

.solution-answer
{
    margin-top: 25px;
    width: 100%;
    padding-left: 30px;
    padding-right: 30px;
    display: flex;
    flex-direction: column;
    align-items: center;
    overflow: hidden;
    transition: height 0.5s ease;
    height: 0;
    margin-bottom: -10px;
}

.exercise label
{
    font-size: 1.3em;
    font-weight: 800;
    color: #28414e;
}

.exercise ion-icon
{
    font-size: 1.1em;
    font-weight: 1000;
    color: #28414e;
    transform: rotate(-90deg);
    transition: 0.5s;
}
.exercise.show ion-icon
{
    transform: rotate(0);
}


.exercise-solution
{
    position: relative;
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 40px;
    width: 100%;
    white-space: normal;
}
.exercise-solution.AddMargin
{
    padding-bottom: 20px;
}
.post-solution
{
    max-width: 100%;
    width: 100%;
    overflow-x: auto;
    overflow-y: hidden;
    padding-bottom: 15px;
}


.exercise-answer
{
    display: flex;
    align-items: center;
    gap: 50px;
    border-top: 1px solid #28414e;
    width: 100%;
    padding: 20px 0 20px 0;
}
.exercise-answer.WithoutAnswer
{
    display: none;
}
.post-answer
{
    max-width: 100%;
    width: 100%;
    overflow-x: auto;
    overflow-y: hidden;
    margin-right: 20px;
}



.blockade
{
    position: relative;
    width: 100%;
    height: 100%;
    min-height: 40px;
    display: none;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    padding: 10px;
    border-radius: 10px;
    backdrop-filter: blur(10px);
    background-color: #d2efff;
    z-index: 98;
}
.blockade.active
{
    display: flex;
}

.post-informations
{
    margin-top: 10px;
    width: 90%;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}
.info-exercise
{
    display: flex;
    justify-content: space-between;
    align-items: start;
    width: 100%;
}

.post-informations label
{
    font-size: 1.5em;
    font-weight: 800;
    color: #28414ed5;
}

.post-informations.ps label a
{
    color: #2c31338f;
}
.post-informations.hs label a
{
    color: #277fa7b9;
}
.post-informations.studies label a
{
    color: #88102494;
}

.right-side
{
    display: flex;
    flex-direction: column;
}
.author-name
{
    font-size: 1.2em;
    padding: 0;
    margin: 0;
}
.author-name b
{
    font-weight: 600;
}

.author
{
    display: flex;
    flex-direction: row;
    justify-content: end;
    align-items: center;
    gap: 10px;
    font-size: 1.2em;
    margin-top: 15px;
    margin-bottom: 15px;
    transform: scale(1);
    width: 100%;
}

.avatar
{
    background-color: #30c4ff93;
    border-radius: 50%;
    width: 30px;
    height: 30px;
    padding: 5px;
    display: flex;
    justify-content: center;
    align-items: center;
    font-size: 1.3em;
    font-weight: 550;
}

.date
{
    display: flex;
    align-items: end;
    flex-direction: column;
    justify-content: center;
    /* background-color: #849bff; */
    gap: 10px;
    margin-bottom: 10px;
}
.date p
{
    padding: 0;
    margin: 0;
}


@media (max-width: 768px)
{
    .exercise
    {
        width: 90%;
        display: flex;
        align-items: center;
        flex-direction: column;
        gap: 5px;
        margin-top: 20px;
        font-size: 1.5em;
        border-radius: 30px;
        padding: 0px 10px 2px 10px;
    }


    .avatar
    {
        width: 15px;
        height: 15px;
        padding: 5px;
        font-size: 1.3em;
    }

    .post-solution
    {
        font-size: 1em;
    }

    .exercise-content
    {
        font-size: 0.9em;
    }
    .exercise-command
    {
        font-size: 0.9em;
        margin-top: 10px;
    }

    .author
    {
        margin-top: 5px;
        margin-bottom: 15px;
    }

    #username-container-exercise
    {
        max-width: 80%;
    }

    .exercise-answer
    {
        padding: 10px 0 10px 0;
    }
}

/* #endregion*/

/*          #region Post Rating         */
.post-rating
{
    width: 85%;
    margin-top: 40px;
    display: flex;
    flex-direction: row;
    gap: 80px;
    font-size: 2em;
    color: #28414ef1;
}
.post-rating span
{
    cursor: pointer;
    transition: 0.2s;
}
.post-rating span.active
{
    color: #5da2b8;
}

.post-rating span:hover
{
    color: #5185a1f1;
}


@media (max-width: 768px)
{
    .post-rating
    {
        gap: 30px;
    }
}
/* #endregion*/


/*          #region Save Panel         */
.save-panel
{
    position: fixed;
    z-index: 99;
    display: flex;
    flex-direction: column;
    justify-content: space-around;
    align-items: center;
    padding: 5px 15px 20px 15px;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    width: 400px;
    height: 450px;
    border-radius: 20px;
    background-color: white;
    border: 1px solid rgba(0, 0, 0, 0.39);
    box-shadow: 0 0 20px rgba(0, 0, 0, 0.151);
    opacity: 0;
    pointer-events: none;
    transform: translate(-50%, -50%) scale(0.75);
    transform-origin: 50% 50%;
    transition: opacity 0.3s ease, transform 0.3s ease;
}
.save-panel.active
{
    opacity: 1;
    transform: translate(-50%, -50%) scale(1);
    pointer-events: all;
}

.save-panel h2
{
    color: #28414e;
    font-size: 1.4em;
    font-weight: 1000;
}

.collections-container
{
    width: 100%;
    height: 85%;
    border-radius: 10px;
    box-shadow: 0 0 15px rgba(0, 0, 0, 0.171);
    background-color: #f7ffff;
    overflow-y: auto;
}
.collections-container::-webkit-scrollbar
{
    display: none;
}

.collections
{
    width: 100%;
    height: auto;
    margin-top: 15px;
    display: flex;
    flex-direction: column;
    gap: 30px;
    justify-content: start;
    align-items: center;
}

.collection
{
    width: 95%;
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
    padding: 0px 10px;
    gap: 15px;
    height: auto;
}
.collection p
{
    margin: 0;
    font-size: 1.2em;
    word-break: break-word;
}
.collection button
{
    color: white;
    background-color: #9c9c9c;
    font-size: 1.1em;
    padding: 5px 15px;
    display: flex;
    justify-content: center;
    align-items: center;
    outline: none;
    border: none;
    border-radius: 100px;
    cursor: pointer;
    transition: 0.3s;
}
.collection button:hover
{
    background-color: #686868;
}
.collection button:active
{
    background-color: #444444;
}
.collection button.saved
{
    background-color: #a8ffbe;
    color: black;
    font-weight: 600;
}
.collection button:hover.saved
{
    background-color: #ffb1b1;
}





.close-button
{
    position: absolute;
    right: 0px;
    top: 0px;
    width: 38px;
    height: 38px;
    font-size: 2em;
    display: flex;
    justify-content: center;
    align-items: center;
    border: none;
    outline: none;
    border-top-right-radius: 20px;
    border-bottom-left-radius: 15px;
    background-color: transparent;
    transition: 0.3s;
    cursor: pointer;
}
.close-button:hover
{
    background-color: #92000050;
}


@media (max-width: 768px)
{
    .save-panel
    {
        position: fixed;
        z-index: 99;
        padding: 15px 10px;
        width: 80%;
        height: 50%;
    }
}
/* #endregion*/

/*          #region Report Panel         */
.report-panel
{
    position: fixed;
    z-index: 99;
    display: flex;
    flex-direction: column;
    justify-content: space-around;
    align-items: center;
    padding: 5px 15px 20px 15px;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    width: 400px;
    height: 450px;
    border-radius: 20px;
    background-color: white;
    border: 1px solid rgba(0, 0, 0, 0.39);
    box-shadow: 0 0 20px rgba(0, 0, 0, 0.151);
    opacity: 0;
    pointer-events: none;
    transform: translate(-50%, -50%) scale(0.75);
    transform-origin: 50% 50%;
    transition: opacity 0.3s ease, transform 0.3s ease;
}
.report-panel.active
{
    opacity: 1;
    transform: translate(-50%, -50%) scale(1);
    pointer-events: all;
}

.report-panel h2
{
    color: #28414e;
    font-size: 1.4em;
    font-weight: 1000;
}

.report-panel form
{
    height: 85%;
    display: flex;
    flex-direction: column;
    justify-content: space-around;
    align-items: center;
}

.report-panel select
{
    border-radius: 100px;
    width: auto;
    padding: 8px 45px 8px 25px;
    font-size: 1.1em;
    font-weight: 600;
    display: flex;
    align-items: center;
    justify-content: start;
    -webkit-appearance: none;
    -moz-appearance: none;
    appearance: none;
    border: 2px solid rgba(0, 0, 0, 0.247);
    transition: 0.3s;
    outline: none;
}
.report-panel select::-ms-expand
{
    display: none;
}
.report-panel select:hover
{
    border: 2px solid black;
}
.report-panel select option:hover
{
    background-color: #00000070;
}

.report-panel textarea
{
    font-size: 1.7em;
    resize: vertical;
    max-height: 65%;
    overflow-y: auto;
    overflow-x: hidden;
    border-radius: 8px;
    box-shadow: 0 0 40px rgba(0, 0, 0, 0.24);
}

.report-panel form button
{
    background-color: #28414e;
    color: white;
    font-size: 1.25em;
    font-weight: 700;
    border-radius: 20px;
    padding: 10px 20px;
    cursor: pointer;
    transition: 0.2s;
}
.report-panel form button:hover
{
    background-color: #365a6d;
    color: white;
}


.reported-panel
{
    position: fixed;
    z-index: 99;
    display: none;
    flex-direction: column;
    justify-content: space-around;
    align-items: center;
    padding: 5px 15px 20px 15px;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    width: 400px;
    height: auto;
    border-radius: 20px;
    background-color: white;
    border: 1px solid rgba(0, 0, 0, 0.39);
    box-shadow: 0 0 20px rgba(0, 0, 0, 0.151);
    transform-origin: 50% 50%;
    font-size: 2em;
    text-align: center;
}
.reported-panel.active
{
    display: flex;
}

@media (max-width: 768px)
{
    .report-panel
    {
        position: fixed;
        z-index: 99;
        padding: 15px 10px;
        width: 80%;
        height: 50%;
    }

    .reported-panel
    {
        position: fixed;
        z-index: 99;
        padding: 15px 10px;
        width: 80%;
        height: 30%;
    }
}
/* #endregion*/


